<!DOCTYPE html>
<html lang= "en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Accounts List</title>
</head>
    <body>
        <header>
            <nav>
                <ul>
                {% if user.is_authenticated %}
                    <li><a href="{% url 'create_account' %}">Create Account</a></li>
                    <li><a href="{% url 'category_list' %}">Expense Category List</a></li>
                    <li><a href="{% url 'create_category' %}">Create Category</a></li>
                    <li><a href="{% url 'home' %}">Receipt List</a></li>
                    <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
                {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <h1>My Accounts</h1>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number</th>
                        <th>Number of receipts</th>
                    </tr>
                </thead>
                <tbody>
                    {% for account in accounts %}
                    <tr>
                        <td>{{ account.name }}</td>
                        <td>{{ account.number }}</td>
                        <td>{{ account.receipts.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </main>
    </body>
</html>
